FAQ
Salaam

I am using php in ARM. when I cross compile php-5.3.1, I seems that a linkage error occur. I solve this problem by edit 2 file below:
ext/standart/dl.h:
+#if defined(HAVE_LIBDL)
PHPAPI int php_load_extension(char *filename, int type, int start_now TSRMLS_DC);
+#endif

main/php_ini.c:
+#if defined(HAVE_LIBDL)
php_load_extension(*((char **) arg), MODULE_PERSISTENT, 0 TSRMLS_CC);
+#else
+       zval *extension = (zval *) arg;
+       zval zval;
+
+        php_dl(extension, MODULE_PERSISTENT, &zval, 0 TSRMLS_CC);
+#endif

Best regards.

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupphp-internals @
categoriesphp
postedJan 23, '10 at 9:15a
activeJan 23, '10 at 9:15a
posts1
users1
websitephp.net

1 user in discussion

Yasser Kashfi: 1 post

People

Translate

site design / logo © 2022 Grokbase